function [s] = get_a_cuckoo(s,best)
%% This is a random walk, which is less efficient
% than Levy flights. In addition, the step size
% should be a vector for problems with different scales.
 beta=3/2;
sigma=(gamma(1+beta)*sin(pi*beta/2)/(gamma((1+beta)/2)*beta*2^((beta-1)/2)))^(1/beta);

    u=randn(size(s))*sigma;
    v=randn(size(s));
    step=u./abs(v).^(1/beta);
  
    % In the next equation, the difference factor (s-best) means that 
    % when the solution is the best solution, it remains unchanged.     
    stepsize=0.1*step.*(s-best);
    % Here the factor 0.01 comes from the fact that L/100 should the typical
    % step size of walks/flights where L is the typical lenghtscale; 
    % otherwise, Levy flights may become too aggresive/efficient, 
    % which makes new solutions (even) jump out side of the design domain 
    % (and thus wasting evaluations).
    % Now the actual random walks or flights
    s=round(s+stepsize.*randn(size(s)));
for i=1:length(s),
   if s(i)<=1, s(i)=1; end
   if s(i)>=30, s(i)=30; end
   if s(i)<=1, s(i)=1; end
   if s(i)>=30, s(i)=30; end
   if s(i)<=1, s(i)=1; end
   if s(i)>=30, s(i)=30; end
end
end